PlacementConstraintParser.SourceTagsTokenizer (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.util.constraint, class: PlacementConstraintParser, class: SourceTagsTokenizer

Package org.apache.hadoop.yarn.util.constraint

# Class PlacementConstraintParser.SourceTagsTokenizer

java.lang.Object
org.apache.hadoop.yarn.util.constraint.PlacementConstraintParser.SourceTagsTokenizer

All Implemented Interfaces:
  `Enumeration<String>`, `PlacementConstraintParser.ConstraintTokenizer`

Enclosing class:
  PlacementConstraintParser

public static class PlacementConstraintParser.SourceTagsTokenizer extends Object implements PlacementConstraintParser.ConstraintTokenizer
Tokenizer used to parse allocation tags expression, which should be in tag(numOfAllocations) syntax.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceTagsTokenizer(String expr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasMoreElements()`
  `String`
  `nextElement()`
  `void`
  `validate()`
  Validate the schema before actual parsing the expression.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Enumeration

  `asIterator`

- ## Constructor Details

  - ### SourceTagsTokenizer

    public SourceTagsTokenizer(String expr)

- ## Method Details

  - ### validate

    public void validate() throws PlacementConstraintParseException
    Description copied from interface: `PlacementConstraintParser.ConstraintTokenizer`
    Validate the schema before actual parsing the expression.
    Specified by:
      `validate` in interface `PlacementConstraintParser.ConstraintTokenizer`
    Throws:
      `PlacementConstraintParseException` - when the placement constraint parser fails to parse an expression.

  - ### hasMoreElements

    public boolean hasMoreElements()
    Specified by:
      `hasMoreElements` in interface `Enumeration<String>`

  - ### nextElement

    public String nextElement()
    Specified by:
      `nextElement` in interface `Enumeration<String>`